<?xml version='1.0' encoding='utf-8'?>
<html  xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
py:extends="'../../de_skeletton.kid'">

<head/>

<body>

<div id="content">
<p class="pageTitle ">Acknowledgement</p>
<strong>BioCASE (Biological Collection Access Service for Europe)</strong> ist 
ein internationales Daten-Netzwerk für biologische Sammlungen 
aller Art. Mit der durch BioCASE entwickelten 
systemunabhängigen und freien Software lassen sich verteilte 
und heterogene Sammlungs- und Beobachtungsdatenbanken 
simultan abfragen.
<br/><br/>
BioCASE fußt auf den Vorgängerprojekten <a href="http://www.bgbm.org/CDEFD/default.htm">CDEFD</a>, <a href="http://www.bgbm.org/BioCise/">BioCISE</a>, und 
<a href="http://www.bgbm.org/BioDivInf/projects/ENHSIN/">ENHSIN</a>, durch die der Grundstein für die Implementierung des 
vollen Services gelegt wurde, mit dem sich das in 
biologischen Sammlungen enthaltene Wissen erschließen läst.<br/>
<br/>
Während der durch die EU finanzierten Projektphase 
(2001-2004) realisierten die BioCASE Projektpartner aus 31 
Ländern zunächst ein <a href="http://www.biocase.org/whats_biocase/meta_net.shtml">Meta-Informationssystem</a> mit Daten zu 
tausenden europäischen Sammlungen. Darauf aufbauend wurde 
dann Netzwerk für <a href="http://www.biocase.org/whats_biocase/unit_net.shtml">Objektdaten</a> implementiert, mit dem nun 
einzelne Sammlungsbelege und Beobachtungsdaten zugreifbar 
sind. Diese werden im Netzwerk als XML Dokumente übertragen, 
die wiederum Verweise auf Bilddaten und andere 
Multimediaobjekte enthalten können.
<br/>

<br/>
Sowohl die Weiterentwicklung von BioCASE als auch die 
Unterstützung der Nutzer und Datenanbieter wurde und wird von 
Projekten der Europäischen Union (<a href="http://www.enbi.info/">ENBI</a> und <a href="http://www.synthesys.info/">SYNTHESYS</a>) und von 
der Global Biodiversity Information Facility (<a href="http://www.bgbm.org/biodivinf/projects/GBIF-Mirror/default.htm">GBIF Mirror and 
Replication Projekt</a>) gefördert.


</div>
</body>
</html>