<?xml version='1.0' encoding='utf-8'?>
<html  xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
py:extends="'../../de_skeletton.kid'">


<head/>
<?python 
cles = params.keys()
thesaurusList = params.get('thesaurusList',{})
recursiveList = params.get('recursiveList',{})

if len(thesaurusList) <1:noResult=True
if len(thesaurusList) >0:noResult=False
nbConcepts =0
?>

<body>
<div id="buttonReferences" class="infobulleB"></div>
<div id="buttonCursor" class="buttonInfobulle"></div>
<div id="content">
<span class="title">Suchergebnisse im Thesaurus</span><br/>
        <div class="border" id="multi">
       
	       
<a name="top"/>

		<span py:if="stats is not None and len(stats) >0" py:strip="">
			<span py:for="key in stats.keys()" py:strip="">
			<span py:if="stats.get(key) != {}" py:strip="">
				<ul><a href="${checklistsdic.get(key)[0].url}" title="${checklistsdic.get(key)[0].definition}" target="_blank"> ${key}</a>:

<?python
	thStat= stats.get(key,{})
?>
					<span py:for="rel in thStat.keys()" py:strip="">
					<li class="inline">${thStat.get(rel)} ${rel.lower()} result(s);</li>
					</span><br/>
				</ul>
			</span></span>
		</span>
	       
        
</div>

 <form method="post" action="${baseurl}search/units/syncon/search/" id="form">

 <input type="hidden" id="listStr" name="listStr" value=""></input>
<input type="hidden" id="withoutlistStr" name="withoutlistStr" value=""/>
 <input type="hidden" id="box" name="box" value=""></input>

 </form>

<span py:if="thesaurusList is  None or len(thesaurusList) ==0" py:strip="">			   
<input name="back" type="button"  class="button "  value="Modify query" onclick="history.back()" onmouseover="displayButton('Modify query')" onmouseout="cacheB();"/><br/>
 </span>

<div py:def="shopping()" id="fixed_box" >
<?python 
	thesaurusList = params['thesaurusList']
?>

<div class="border multi" >
<span class="title">Suchoptionen für Belege und Beobachtungsdaten</span><br/>
 <span py:if="thesaurusList is not None and len(thesaurusList) >0" py:strip="">
<span onmouseover="this.style.cursor='help'; displayButton('Select/Deselect all synonyms')" onmouseout="cacheB();"> 
<input name="rel_s" type="checkbox" checked="checked"  onclick="checkAllConcept('taxonBox_s',this.checked);" >Synonyme</input>
</span><br/>
<span onmouseover=" this.style.cursor='help'; displayButton('Select/Deselect all related concepts')" onmouseout="cacheB();">
<input name="rel_r" type="checkbox"  checked="checked"  onclick="checkAllConcept('taxonBox_r',this.checked);" >ähnliche Konzepte</input>
</span><br/>
<span onmouseover="this.style.cursor='help'; displayButton('Select/Deselect Taxonomic hierarchy terms')" onmouseout="cacheB();">
<input name="rel_t" type="checkbox" onclick="checkAllConcept('taxonBox_t',this.checked);">taxonomische Hierachie</input>
</span><br/>
<span onmouseover="this.style.cursor='help'; displayButton('Select/Deselect Misapplied names')" onmouseout="cacheB();">
<input name="rel_m" type="checkbox" checked="checked" onclick=" checkAllConcept('taxonBox_m',this.checked);" >falsch verwendete Namen </input>
</span><br/>
<!--<span onmouseover="this.style.cursor='help'; displayButton('Select/Deselect all data (synonyms and related concepts)')" onmouseout="cacheB();" >
<input name="rel_all" onclick="checkAllConcept('taxonBox',this.checked);" checked="checked" type="checkbox">2ALL_DATA2</input>
</span>-->
</span>
</div>
<div class="border multi" >
<span class="title">Literatur</span><br/>
<?python 
	refList=[]
	myRef=[]
?>
<span py:if="thesaurusList is not None and len(thesaurusList)>0" py:strip="">
<span py:for="key in thesaurusList.keys()" py:strip="">
<span py:for="namesDic in thesaurusList.get(key)" py:strip="">
			<span py:for="acceptedName in namesDic.keys()" py:strip="">					
<?python
	relationNameDic = namesDic.get(acceptedName)
	reference = acceptedName.split('__')[1].split('[')[1].split(']')[0].split('ref: ')[1].replace('ETquot;',"'").replace(' ET ',' & ')
	if len(reference) >10:
		ref = reference[0:9]
	else:
		ref=reference
	ref=ref.strip()
	ref=ref.replace(' ','~')
	ref=ref.replace('+','~')
	if len(reference)>32:
		refS = reference[0:31]+"..."
	else:
		refS = reference
	if reference not in refList:
		myRef.append((reference,ref,refS))
		refList.append(reference.replace("'","\'"))	
?>
</span></span></span></span>
<span py:for="ref in myRef" py:strip="">
<span onmouseover="this.style.cursor='help'; displayButton('${ref[0]}')" onmouseout="cacheB();">
<input name="refBox_${ref[1]}" onclick="checkReference('${ref[1]}_taxonBox',this.checked);" checked="checked" type="checkbox" >${ref[2]}</input><br/>
</span>
</span>		
</div>

<input name="results" type="button"  class="buttonL buttonSearch " id="buttonSearch" value="Search!" onclick="searchNamesConcept('taxonBox');" onmouseover="displayButton('Search observation and collection data for the selected names and concepts')" onmouseout="cacheB();"/>
</div>





        
                      
					<span class="big">gesuchte(r) Name(n)</span><br/>
					<span py:for="name in searchedName" py:strip="">
                  	<input type="checkbox" name="taxonBox"  checked="checked" value="${name}"/>${name} <br/></span>
                  	 <span py:if="thesaurusList is None or len(thesaurusList) ==0" py:strip="">No other data available</span>
                  	<?python 
                  		anchor=0  
                  	?><br/>
<span py:if="thesaurusList is not None and len(thesaurusList)>0" py:strip="">
<ul>
	<span py:for="key in thesaurusList.keys()" py:strip="">
		<span class="big multi"><img src="${baseurl}static/images/thesdb.png"/>gemäß ${key}
		</span><br/>
		<span py:for="namesDic in thesaurusList.get(key)" py:strip="">
			<span py:for="acceptedName in namesDic.keys()" py:strip="">
					
						
			<span class="big multi"><img src="${baseurl}static/images/accepted.png"/> ${acceptedName.split('__')[0].title()}: ${acceptedName.split('__')[1].replace('@author',' ').replace('authorN.A.','').replace('ETquot;',"'").replace(' ET ',' &amp; ')}
			</span>	<br/>
<span py:if="len(acceptedName.split('__')) ==3"  py:strip="">
<!-- !<span class="ita">(${acceptedName.split('__')[1].split('[')[0]} ${acceptedName.split('__')[2]})</span> -->
<span class="multi"><img src="${baseurl}static/images/acceptedR.png"/>
<?python
names=[]
n=acceptedName.split('__')[2]
acc=n.split(":")[0]
n=n.split(":")[1]
tmp = n.split('|')

names=[elt.split('@')[0] for elt in tmp if "@" in elt]
dataschemaconcept=[elt.split('@')[1] for elt in tmp if "@" in tmp]

acceptedNames=" ".join(names)
try:
	a=names[0].split('[')[0]
except:
	a=n
?>
$acc:${acceptedNames}</span><br/><input type="checkbox" name="taxonBox_accepted"  checked="checked" value="${a.strip()}@${dataschemaconcept}" onclick="checkNames('${a.strip()}@',this)"/>${a.strip().replace('@author',' ').replace('authorN.A.','').replace('ETquot;',"'").replace(' ET ',' &amp; ')}
</span>					
<?python
	relationNameDic = namesDic.get(acceptedName)
	reference = acceptedName.split('__')[1].split('[')[1].split(']')[0].split('ref: ')[1].replace('ETquot;',"'").replace(' ET ',' & ')
	if len(reference) >10:
		ref = reference[0:9]
	else:
		ref=reference
	ref=ref.strip()
	ref=ref.replace(' ','~')
	ref=ref.replace('+','~')
?>			
				<span py:for="relationName in relationNameDic.keys()" py:strip="">
						<ul>
						<li>
<div >
<span py:if="relationName !=''" py:strip="">
	<span class="multi" onclick="expColl(this)" onmouseover="this.style.cursor='pointer';"><img name="relation" src="${baseurl}static/images/relations.png"/> ${relationName}
    </span>	
</span>
							<ul>
<?python
	relationTypeDic = relationNameDic.get(relationName)
	if relationName =='':
		relationName='unknown'
	if relationName == 'Taxonomic hierarchy':
		checked=False
	else:
		checked=True
?>
									<span py:for="relationType in relationTypeDic.keys()" py:strip="">
									<li><span py:if="relationType !=''" py:strip=""><span class="multi"  onclick="expColl(this)"    onmouseover="this.style.cursor='pointer';"><img src="${baseurl}static/images/puce.png"/>${relationType}:
		</span>		</span>	</li>
									<ul>
										
<?python
	written=False
	cas=0
	a=""
	b="<span class='example'>"
	c=""
	d="</span>"
	dataschemaconcept="FullScientificNameString"
	
	pif={}
	
	for relation in relationTypeDic.get(relationType):
		#Polytrichum commune@authorHedw. ref:  Ludwig ET al. (1996)@schemaFullScientificNameString'
		
		nomComplet=relation.split('ref: ')[0]
		nomSeul = nomComplet.split('@author')[0]
		auteur = nomComplet.split('@author')[1]
		auteur=auteur.replace('ETquot;',"pof").replace(' ET ',' &amp; ').replace('authorN.A.','')
		try:
			ref = relation.split('ref: ')[1].split('@schema')[0]
		except:
			ref = ''
		ref=ref.replace('authorN.A.','').replace('ETquot;',"'").replace(' ET ',' & ').replace("&apos;","\'")
		try:
			dataschemaconcept = relation.split('@schema')[1]
		except:
			pass
		
		pof=pif.get(nomComplet,[])
		if len(pof)>3:
			n1=pof[0]
			a1=pof[1]
			ds=pof[2]
			refList=pof[3]
			if ref not in refList and ref!='':
				refList.append(ref)
		else:
			n1=nomSeul
			a1=b+auteur+d
			ds=dataschemaconcept
			refList=[ref]
		pof=[n1,a1,ds,refList]
		pif[nomComplet]=pof	
?>
<span py:for="a in pif.keys()" py:strip="">
<?python
	pof = pif.get(a)
	n1=pof[0]
	if n1 is not None:
		n1=n1.replace('ETquot;',"'")
	a1=pof[1]
	ds=pof[2]
	refList="<br/>".join(pof[3]).replace("'","\\'")
?>
<li>

<span py:if='checked' py:strip=''>
		<input type="checkbox" name="${ref}_taxonBox_${relationName[0].lower()}"  
			checked="checked" value="${n1}@${ds}" 
			onclick="checkNames('${n1}@',this)"/>
</span>
<span py:if='not checked' py:strip=''>
		<input type="checkbox" name="${ref}_taxonBox_${relationName[0].lower()}"   
			value="${n1}@${ds}" 
			onclick="checkNames('${n1}@',this)"/>
</span>
		<?python
			written=True
		?>
		$n1 ${XML(a1.replace("ETapos;","&apos;"))} <span class="example" onmouseover="this.style.cursor='pointer'; displayReferences('$refList')" onmouseout="cacheRef();">[source]</span>
								
</li>
</span>
										
									</ul>
									</span>
								
							</ul>
</div>
						</li>

						</ul>
					
				</span>
			</span>	
			<hr/><br/>
		</span>	
	</span> 
</ul>	
</span>


<br/>
           
 <span py:if="recursiveList is not None and recursiveList != {}" py:strip="">
	<span py:for="box in recursiveList.keys()" py:strip="">
<span class="big multi"><img src="${baseurl}static/images/thesdb.png"/>Partial hierarchy from ${box}
		</span><br/>
		<?python
			tmp=recursiveList.get(box)
		?>
		<span py:for="elt in tmp" py:strip="">
		 <span py:for="cle in elt.keys()" py:strip="">
<?python
	paf=elt.get(cle)
	if type(paf) == type({}):
		towrite=paf.keys()
	else:
		if paf=='<ul></ul>':
			towrite=None
		else:
			towrite=XML(paf.replace('authorN.A.','').replace('ETquot;',"'").replace(' ET ',' &amp; '))
?>
		 ${towrite} <br/>
		 </span>
		</span>
	</span>
</span>
 </div>
     
   </body>
</html>
                     