<?xml version='1.0' encoding='utf-8'?>
<html  xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
py:extends="'../../fin_skeletton.kid'">

<head/>
<?python 
taxon=''
higher = ''
family=''
collection=''
institution=''
country=''
dateInf=''
dateEq=''
dateSup=''
locality=''
common=''
genus=''
collector=''
record=''
multi=''
key=''
if advancedFields != [] and len(advancedFields)>15:
	taxon = advancedFields[0]
	higher = advancedFields[1]
	family = advancedFields[2]
	collection = advancedFields[3]
	institution = advancedFields[4]
	country = advancedFields[5]
	dateInf = advancedFields[6]
	dateEq = advancedFields[7]
	dateSup = advancedFields[8]
	locality = advancedFields[9]
	common = advancedFields[10]
	genus = advancedFields[11]
	collector = advancedFields[12]
	record = advancedFields[13]
	multi = advancedFields[14]
	key = advancedFields[15]
?>
<body>

<div id="content">
<span class="pageTitle">Kohteiden haku (näytteet ja havainnot)</span><br/><br/>

 <span class="title">Tarkennettu haku</span><br/>
  <span>Syötä vähintään kolme merkkiä Käytä tähtimerkkiä (*) korvausmerkkinä. Esimerkiksi: <span class="blue" onclick="hideShowExample('example')" onmouseover="this.style.cursor='pointer';">[...]</span> <br/></span>
  <div id="example">
 
	  <span class="example">Pri*</span> hakee kaikki nimet jotka alkavat Pri.
	  <br/><span class="example">Primula veris *</span> hakee kaikki Primula verisin alalajit.
	 <br/><span class="example">* veris </span> hakee kaikki nimet jotka päättyvät veris.
	  <br/><span class="example">*Pri* </span> hakee kaikki nimet jotka sisältävät Pri.
  <p>Käytä pilkkua (,) TAI käskynä. Esimerkiksi:<br/>
  <span class="example">France,Germany</span> hakee aineistoa Ranskasta TAI Saksasta.
  </p>
  <p> Eri hakukentät ovat liitoksissa JA käskyllä.</p>
  </div>
<span py:replace="XML(message)"/>

<div id="scrollC">

    <form id="frm" action="performAdvancedSearch" method="post">
      
      <div id="dateHelpInfoText" class="infobulleB"></div>
      <table id="formTable" >
      <tr>
      <td>
        <select name="field" id="fieldList" onChange="showHideListButton(this);">
		  <option value="${collection}" >Choose field</option>
		  <option value="institutionId">Instituutin koodi</option>
		  <option value="collectionId">Kokoelman ID</option>
		  <option value="unitKey">Kohdeavain</option>
		  <option value="taxonName">Taksonin nimi</option>
		  <option value="genus">Suku</option>
		  <option value="family">Heimo</option>
		  <option value="higherTaxon" >Korkeampi taksoni</option>
		  <option value="commonName" >Yleiskielen nimi</option>
		  <option value="country" >Maa (jossa havaittu tai kerätty)</option>
		  <option value="locality" >Paikkakunta</option>
		  <option value="collector" >Kerääjä</option>
		  <option value="dateInf" >Keruun päivämäärä &lt;</option>
		  <option value="dateEq">Keruun päivämäärä =</option>
		  <option value="dateSup">Keruun päivämäärä &gt;</option>

        </select>
     	<input type="button" class="buttonImg"  disabled="disabled" id="dateHelpInfo" onmouseout="cache2();" onmouseover="displayDateHelp('Käytä muotoa VVVV-KK-PP &lt;br&gt; Huom. Useimmiten keruun ajankohdasta on vain vuosi tiedossa');" alt="date format info" />
     </td>
     <td >        
     <input type="text"  value="" id="textarea" class="textArea ed"   autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)"/>
           <div id='searchresults' class='ed' ></div>
          </td>
     <td >
        <input type="button" class="buttonImg" id="addButton" value="Lisää" onclick="addField('frm');" />
		<img  src="${baseurl}static/images/list.gif" class="buttonImg" disabled="disabled"  id="dragDropList" onclick="displayList()" onmouseover="this.style.cursor='pointer';" alt="Lista&nbsp;"/>     
		  	&nbsp;<input id="sugImg" readonly="readonly" onmouseover="this.style.cursor='pointer';" onclick="enableSuggestion()" title="Ehdotus :ON" type="text"/>
		  	     </td>
     </tr>
     
     <tr id="start">
      <td><input class="collection ro" id="fieldcollectionId" value="collectionID" readonly="readonly" type="text"/></td>
      <td><input class="collection ed" name="collectionId" id="valuecollectionId" value="${collection}" type="text"/></td>
      <td><input class="collection bt" id="buttoncollectionId" value="Poista" onclick="removeField('collectionId');" type="button"/>
      <img class="collection bt" src="${baseurl}static/images/list.gif" id="listcollectionId" onclick="redisplayList('collectionId');" onmouseover="this.style.cursor='pointer'"  alt="List&nbsp;"/>
	</td>
     </tr> 
     <tr>
      
      <td><input class="institution ro" id="fieldinstitutionId" value="institutionID" readonly="readonly" type="text"/></td>
      <td><input class="institution ed" name="institutionId" id="valueinstitutionId" value="${institution}" type="text"/></td>
      <td><input class="institution bt" id="buttoninstitutionId" value="Poista" onclick="removeField('institutionId');" type="button"/>
      <img class="institution bt" src="${baseurl}static/images/list.gif" id="listinstitutionId" onclick="redisplayList('institutionId');" onmouseover="this.style.cursor='pointer'"  alt="List&nbsp;"/>
</td>
     </tr> 
     <tr>
      
      <td><input class="unitKey ro" id="fieldunitKey" value="unitKey" readonly="readonly" type="text"/></td>
      <td><input class="unitKey ed" name="unitKey" id="valueunitKey" value="${key}" type="text"/></td>
      <td><input class="unitKey bt" id="buttonunitKey" value="Poista" onclick="removeField('unitKey');" type="button"/>
</td>
     </tr> 
     <tr>
      
 
      <td><input class="taxonName ro" id="fieldtaxonName" value="taxonName" readonly="readonly" type="text"/></td>
      <td><input class="taxonName ed" name="taxonName" id="valuetaxonName" value="${taxon}" type="text"/></td>
      <td><input class="taxonName bt" id="buttontaxonName" value="Poista" onclick="removeField('taxonName');" type="button"/>
</td>
     </tr> 
     <tr>

      <td><input class="genus ro" id="fieldgenus" value="genus" readonly="readonly" type="text"/></td>
      <td><input class="genus ed" name="genus" id="valuegenus" value="${genus}" type="text"/></td>
      <td><input class="genus bt" id="buttongenus" value="Poista" onclick="removeField('genus');" type="button"/>
</td>
     </tr> 
     <tr>

      <td><input class="family ro" id="fieldfamily" value="family" readonly="readonly" type="text"/></td>
      <td><input class="family ed" name="family" id="valuefamily" value="${family}" type="text"/></td>
      <td><input class="family" id="buttonfamily" value="Poista" onclick="removeField('family');" type="button"/>
</td>
     </tr> 
     <tr>
      
      <td><input class="higher ro" id="fieldhigherTaxon" value="higherTaxon" readonly="readonly" type="text"/></td>
      <td><input class="higher ed" name="higherTaxon" id="valuehigherTaxon" value="${higher}" type="text"/></td>
      <td><input class="higher bt" id="buttonhigherTaxon" value="Poista" onclick="removeField('higherTaxon');" type="button"/>
</td>
     </tr> 
     <tr>
      
      <td><input class="common ro" id="fieldcommonName" value="common name" readonly="readonly" type="text"/></td>
      <td><input class="common ed" name="commonName" id="valuecommonName" value="${common}" type="text"/></td>
      <td><input class="common bt" id="buttoncommonName" value="Poista" onclick="removeField('commonName');" type="button"/>
</td>
     </tr> 
     <tr>
      
      <td><input class="country ro" id="fieldcountry" value="country" readonly="readonly" type="text"/></td>
      <td><input class="country ed" name="country" id="valuecountry" value="${country}" type="text"/></td>
      <td><input class="country bt" id="buttoncountry" value="Poista" onclick="removeField('country');" type="button"/>
</td>
     </tr> 
     <tr>
      
      <td><input class="locality ro" id="fieldlocality" value="locality" readonly="readonly" type="text"/></td>
      <td><input class="locality ed" name="locality" id="valuelocality" value="${locality}" type="text"/></td>
      <td><input class="locality bt" id="buttonlocality" value="Poista" onclick="removeField('locality');" type="button"/>
</td>
     </tr> 
     <tr>
      
      <td><input class="collector ro" id="fieldcollector" value="collector" readonly="readonly" type="text"/></td>
      <td><input class="collector ed" name="collector" id="valuecollector" value="${collector}" type="text"/></td>
      <td><input class="collector bt" id="buttoncollector" value="Poista" onclick="removeField('collector');" type="button"/>
</td>
     </tr> 
     <tr>
      
      <td><input class="dateInf ro" id="fielddateInf" value="Collection year &lt;" readonly="readonly" type="text"/></td>
      <td><input class="dateInf ed" name="dateInf" id="valuedateInf" value="${dateInf}" type="text"/></td>
      <td><input class="dateInf bt" id="buttondateInf" value="Poista" onclick="removeField('dateInf');" type="button"/>
</td>
     </tr> 
     <tr>
      
      <td><input class="dateEq ro" id="fielddateEq" value="Collection year =" readonly="readonly" type="text"/></td>
      <td><input class="dateEq ed" name="dateEq" id="valuedateEq" value="${dateEq}" type="text"/></td>
      <td><input class="dateEq bt" id="buttondateEq" value="Poista" onclick="removeField('dateEq');" type="button"/>
</td>
     </tr> 
     <tr>
      
      <td><input class="dateSup ro" id="fielddateSup" value="Collection year &gt;" readonly="readonly" type="text"/></td>
      <td><input class="dateSup ed" name="dateSup" id="valuedateSup" value="${dateSup}" type="text"/></td>
      <td><input class="dateSup bt" id="buttondateSup" value="Poista" onclick="removeField('dateSup');" type="button"/>
</td>
     </tr> 
</table>      
	<table class="table_carret">
	<tr>
	<td>
     <ul>Valintavaihtoehdot  : <br/>
     	<li>
            <span py:if="multi == True" py:strip=""><input name="option" type="checkbox" checked="checked" value="photo">Multimedia  <img  src="${baseurl}static/images/multimedia.gif" alt="multimedia"/> </input></span>
            <span py:if="multi == False or multi is None or multi==''" py:strip=""><input name="option" type="checkbox" value="photo">Multimedia  <img  src="${baseurl}static/images/multimedia.gif" alt="multimedia"/></input></span>
		</li>
	  	 <li>
	  	 	<div class="inLine">
	  	 	<input name="record_basis_flag" id="record_basis_flag" type="checkbox" value="type" onclick="enableRecordBasis();"/>
	    		Vain hakutulokset jotka perustuvat 
	   			<select name="record_basis" id="record_basis" disabled="disabled" >
	   			<option value="any">any</option>
	   			<span py:for="type in recordBasisList" py:strip="">
	   					<option value= "${type[0]}"> ${type[1]} </option> </span>
	   			</select>
	   		</div>
	   </li>
	   </ul>
	 </td>
	 <td>
	   <ul>Ryhmitä tulokset  : <br/>
	   <li> 
        <select name="grouping">
		  <option py:if="group=='taxonBox'" selected="selected" value="taxonBox">Taksonin nimi</option>
		  <option py:if="group!='taxonBox'" value="taxonBox">Taksonin nimi
		  </option>
		  <option py:if="group=='genusBox'" selected="selected" value="genusBox">Suku</option>
		  <option py:if="group!='genusBox'" value="genusBox">Suku
		  </option>
		  <option py:if="group=='higherBox'" selected="selected" value="higherBox">Korkeampi taksoni</option>
		  <option py:if="group!='higherBox'" value="higherBox">Korkeampi taksoni
		  </option>
		   <option py:if="group=='commonBox'" selected="selected" value="commonBox">Yleiskielen nimi</option>
		  <option py:if="group!='commonBox'" value="commonBox">Yleiskielen nimi
		  </option>
		  <option py:if="group=='familyBox'" selected="selected" value="familyBox">Heimo</option>
		  <option py:if="group!='familyBox'" value="familyBox">Heimo
		  </option>
		  <option py:if="group=='countryBox'" selected="selected" value="countryBox">Maa (jossa havaittu tai kerätty)</option>
		  <option py:if="group!='countryBox'" value="countryBox">Maa (jossa havaittu tai kerätty)
		  </option>
          <option py:if="group=='collectionBox'" selected="selected" value="collectionBox">Kokoelma</option>
          <option py:if="group!='collectionBox'" value="collectionBox">Kokoelma
          </option>
          <option py:if="group=='institutionBox'" selected="selected" value="institutionBox">Instituutti</option>
          <option py:if="group!='institutionBox'" value="institutionBox">Instituutti
          </option>
          <option py:if="group=='typeBox'" selected="selected" value="typeBox">Aineistotyyppi</option>
          <option py:if="group!='typeBox'" value="typeBox">Aineistotyyppi
         </option>
		</select>	
	   </li>
	   </ul>
	  </td>
	  </tr>
	   </table>

		
<br/><br/>
<center>
		<input name="submitButton" type="button" value="Haku" onclick="submit()" class="button validation"/>
		<input name="clearButton" type="button" value="Tyhjennä" onclick="clearForm()" class="button validation buttonSearch"/>
</center>
        
		</form>
		 <br/><br/>
	  <p>	
      &raquo; Siirry <a href="${baseurl}search/units/simpleSearch">Haku</a> </p>
	  <br/>
      </div>
</div> <!-- end div content-->
</body>
</html>