<?xml version='1.0' encoding='utf-8'?>
<html  xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
py:extends="'../../es_skeletton.kid'">

<head/>
<?python 
taxon=''
higher = ''
family=''
collection=''
institution=''
country=''
dateInf=''
dateEq=''
dateSup=''
locality=''
common=''
genus=''
collector=''
record=''
multi=''
key=''
collNumber=''
fieldNumber=''
unitID=''
if advancedFields != [] and len(advancedFields)>17:
	taxon = advancedFields[0]
	higher = advancedFields[1]
	family = advancedFields[2]
	collection = advancedFields[3]
	institution = advancedFields[4]
	country = advancedFields[5]
	dateInf = advancedFields[6]		
	dateSup = advancedFields[7]
	locality = advancedFields[8]
	common = advancedFields[9]
	genus = advancedFields[10]
	collector = advancedFields[11]
	record = advancedFields[12]
	multi = advancedFields[13]
	key = advancedFields[14]
	collNumber = advancedFields[15]
	fieldNumber = advancedFields[16]
	unitID = advancedFields[17]
?>
<body>

<?python
	forTaxonomist=False
	import page
	forTaxonomist=page.Page().getCfgObj().admin.forTaxonomist
?> 

<div id="fullTextHelp" class="infobulle ft">
<span>Full text search examples for Collector and Locality</span>:<br/>
<span class="example">Görlitzer Park Berlin Kreuzberg</span>: search for Görlitzer AND Park AND Berlin AND Kreuzberg<br/>
<span class="example">Sachsen -Anhalt</span>: search for Sachsen AND NOT Anhalt (i.e. excluding Sachsen-Anhalt)<br/>
<span class="example">Thuring*</span>: search for names beginning with Thuring, such as Thuringia OR Thüringen<br/>
<span class="example">"Berlin-Brandenburg"</span>: exact search<br/>
<span class="example">Humboldt Bonpland Kunth</span>: search for Humboldt AND Bonpland AND Kunth<br/>
<span class="example">Koch -Wilhelm</span>: earch for Koch and AND NOT Wilhelm (i.e. excluding Wilhelm Koch)<br/>
<span class="example">Takh*</span>: search for names beginning with Thakh, such as Takhtadjan OR Takhtadzhian <br/>
<span class="example">"Müller-Doblies"</span>: exact search<br/>


</div>
<div id="content">
<span class="pageTitle">Buscar por unidades (especímenes y observaciones)</span><br/><br/>

 <span class="title">Búsqueda avanzada</span><br/>
 <span>Usar al menos 3 caracteres Usar el asterisco (*) como un comodín. Ejemplos: <span class="blue" onclick="hideShowExample('example')" onmouseover="this.style.cursor='pointer';">[...]</span> <br/></span>
  <div id="example">
 
	  <span class="example">Pri*</span> Buscar todos los nombres que comienzan con Pri.
	  <br/><span class="example">Primula veris *</span> Buscar todas las subespecies de Primula veris.
		<br/><span class="example">Primula veris</span> Buscar todos los nombres que coinciden exactamente con 'Primula veris'
	 <br/><span class="example">* veris </span> Buscar todos los nombres que terminan con veris.
	  <br/><span class="example">*Pri* </span> Buscar todos los nombres que contienen Pri.
  <p>Usar 'OR' para separar los nombres dentro de un campo de búsqueda.<br/>
  <span class="example">France OR Germany</span> Búsquedas de los datos cuyo país es Francia o Alemania.
  </p>
  <p> La consulta campos está relacionada con el operador 'Y' .</p>
  </div>
<div class="error">
<span py:replace="XML(message)"/>
</div>

<div id="scrollC">
<div id="loadingAdvanced"><center>Your query might take a long time .. please wait<br/> 
<img src="${baseurl}static/images/progressbar.gif" alt="load" id="loadingGifAdvanced"/>
<br/><span class="multi img"><a class="cancel" onclick="displayLoadingGifAdvanced()" href="${baseurl}search/units/advancedSearch/cancelSearch"><img src="${baseurl}static/images/cancel.jpg"/>Cancel the current search</a></span></center></div>

  <form id="frm" action="${baseurl}search/units/advancedSearch/performAdvancedSearch" method="post">
  
  <div id="advanced" class="hidden"/><div id="id_tofill" class="hidden"/>
 <table id="formTable" class="table_carret" >  
  <tr id="start"> 
  <td class="tdLeft"><input class="taxonName ro" tabindex="-1" id="fieldTaxon" value="Nombre del Taxón" readonly="readonly" type="text"/></td>
  <td class="tdRight"><input name="taxonName" id="valueTaxon" type="text" class="taxonName ed" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)" value="$taxon"/>   <div id='searchresults_Taxon' class='ed' ></div>
</td>
<?python
	  if forTaxonomist and not thesaurusActivated:
	  	css="thesauImgOff"
	  	activ="activate"
	  else:
	  	css="thesauImgOn"
	  	activ="deactivate"
	?>
     <span py:if="forTaxonomist" py:strip="">
     <td><input class="$css" id="thesauImg" title="Click to $activ the expanded search"  readonly="readonly"  onmouseover="this.style.cursor='pointer'" alt="option"  onclick="enableExpendedSearch()"/>
     <input type="hidden" value="$thesaurusActivated" id="thesaurusActivated" name="thesaurusActivated"/></td>
     </span>   
 
   </tr> 

 <tr>  
  <td><input class="country ro" tabindex="-1" id="fieldCountry" value="País" readonly="readonly" type="text"/></td>
  <td>
<input name="country" id="valueCountry" type="text" class="country ed" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)" value="$country"/>   <div id='searchresults_Country' class='ed' ></div>
</td>
 
   </tr> 

     <tr>
  <td><input class="collection ro" tabindex="-1" id="fieldCollCode" value="Colección ID" readonly="readonly" type="text"/></td>
  <td><input class="collection ed" name="collectionId" id="valueCollCode" value="${collection}" type="text" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)"/>   <div id='searchresults_CollCode' class='ed' ></div></td>
  
   </tr> 
   <tr>
  
  <td><input class="institution ro" tabindex="-1" id="fieldInstCode" value="Institución ID" readonly="readonly" type="text"/></td>
  <td><input class="institution ed" name="institutionId" id="valueInstCode" value="${institution}" type="text" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)"/>   <div id='searchresults_InstCode' class='ed' ></div></td>
  
   </tr>
 
    <tr>
  
  <td><input class="unitid ro" tabindex="-1" id="fieldUnitID" value="Unit-ID" readonly="readonly" type="text"/></td>
  <td><input class="unitid ed" name="unitID" id="valueUnitID" value="${unitID}" type="text"/></td>
  
   </tr>
   <tr>

  <td><input class="genus ro" id="fieldGenus" value="Género" tabindex="-1" readonly="readonly" type="text"/></td>
  <td><input name="genus" id="valueGenus" type="text" class="genus ed" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)" value="$genus"/>   <div id='searchresults_Genus' class='ed' ></div>
</td>
 
   </tr> 
   <tr>

  <td><input class="family ro" tabindex="-1" id="fieldFamily" value="Familia" readonly="readonly" type="text"/></td>
  <td>
<input name="family" id="valueFamily" type="text" class="family ed" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)" value="$family"/>   <div id='searchresults_Family' class='ed' ></div>
</td>
 
   </tr> 
   <tr>
  
  <td><input class="higher ro" tabindex="-1" id="fieldHigherTaxon" value="Taxón superior" readonly="readonly" type="text"/></td>
  <td><input name="higherTaxon" id="valueHigherTaxon" type="text" class="higher ed" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)" value="$higher"/>   <div id='searchresults_HigherTaxon' class='ed' ></div>
</td>
 
   </tr> 
   <tr>
  
  <td><input class="common ro" tabindex="-1" id="fieldCommon" value="Nombre común" readonly="readonly" type="text"/></td>
  <td><input name="commonName" id="valueCommon" type="text" class="common ed" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)" value="$common"/>   <div id='searchresults_Common' class='ed' ></div>
</td>

   </tr> 
  
   <tr>
  
  <td><input class="locality ro ft" tabindex="-1" id="fieldLocality" value="Localidad" readonly="readonly" type="text" onmouseover="this.style.cursor='pointer'; displayFullTextHelp();" onmouseout="cache2();"/></td>
  <td><input class="locality ed" name="locality" id="valueLocality" value="${locality}" type="text"/></td>
 
   </tr> 
   <tr>
  
  <td><input class="collector ro ft" tabindex="-1" id="fieldCollector" value="Colector" readonly="readonly" type="text" onmouseover="this.style.cursor='pointer'; displayFullTextHelp();" onmouseout="cache2();"/></td>
  <td><input class="collector ed" name="collector" id="valueCollector" value="${collector}" type="text"/></td>
 
   </tr> 
   <tr>
  
<td><input class="date ro" tabindex="-1" id="fielddate" value="Datos de Colección " readonly="readonly" type="text"/></td>
  <td class="ieColspan">entre<input class="dateInf" name="dateInf" id="valuedateInf" value="${dateInf}" type="text"/> y <input class="dateInf" name="dateSup" id="valuedateSup" value="${dateSup}" type="text"/></td>

   </tr> 

    <tr>
  
  <td><input class="collNumber ro" tabindex="-1" id="fieldcollNumber" value="Collector's number" readonly="readonly" type="text"/></td>
  <td><input class="collNumber ed" name="collNumber" id="valueCollNumber" value="${collNumber}" type="text"/></td>
  
   </tr> 
   <tr>
  
  <td><input class="fieldNumber ro" tabindex="-1" id="fieldfieldNumber" value="Field number" readonly="readonly" type="text"/></td>
  <td><input class="fieldNumber ed" name="fieldNumber" id="valueFieldNumber" value="${fieldNumber}" type="text"/></td>
  
   </tr> 
</table>
<br/><div class="ieColspan">Si desea añadir un segundo valor a un campo que ya ha sido ocupado, seleccionar un campo de la lista "Elegir Campo", introduzca su valor, y haga clic en "Añadir".
</div><br/>
  <table class="table_noline ieColspanL">
  <tr>
  <td>
    <select name="field" id="fieldList" onChange="showHideListButton(this);">
		  <option value="${collection}" >Elegir campo</option>
		  <option value="InstCode">Institución ID</option>
		  <option value="CollCode">Colección ID</option>
<option value="UnitID">Unit-ID</option>
<!-- 		  <option value="unitKey">Unit-Key</option> -->
		  <option value="Taxon">Nombre del Taxón</option>
		  <option value="Genus">Género</option>
		  <option value="Family">Familia</option>
		  <option value="HigherTaxon" >Taxón superior</option>
		  <option value="Common" >Nombre común</option>
		  <option value="Country" >País (donde ha sido observado y colectado)</option>
		<!--  <option value="Locality" >Localidad</option>
		  <option value="Collector" >Colector</option>-->
		<!--  <option value="DateInf" >Datos de Colección  &lt;</option>
		  <option value="DateEq">Datos de Colección  =</option>
		  <option value="DateSup">Datos de Colección  &gt;</option>-->
		   <option value="CollNumber" >Collector's number</option>
		  <option value="FieldNumber" >Field number</option>

    </select>
   <!--	<input type="button" class="buttonImg"  disabled="disabled" id="dateHelpInfo" onmouseout="cache2();" onmouseover="displayDateHelp('Utilice el siguiente formato YYYY-MM-DD &lt;br&gt; Nota: la mayoría de los datos colectados contienen solamente el año (YYYY)');" alt="date format info" />-->
   </td>
   <td >    
   <input type="text"  value="" id="textarea" class="textArea edL" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)"/>
     <div id='searchresults' class='edL' ></div>
    </td>
   <td >
    <input type="button" class="button" id="addButton" value="Agregar" onclick="addField('frm');" />
		<!--<img  src="${baseurl}static/images/list.gif" class="buttonImg" disabled="disabled"  id="dragDropList" onclick="displayList()" onmouseover="this.style.cursor='pointer';" alt="List&nbsp;"/> -->  
		  	&nbsp;<input id="sugImg" readonly="readonly" onmouseover="this.style.cursor='pointer';" onclick="enableSuggestion()" title="Sugerencias:ON" type="text"/>
		  	   </td>
   </tr>

</table>  

  
	<table class="table_carret">
	<tr>
	<td>
   <ul>Opciones: <br/>
   	<li>
    <span py:if="multi == True" py:strip=""><input name="option" type="checkbox" checked="checked" value="photo">Multimedia</input></span>
    <span py:if="multi == False or multi is None or multi==''" py:strip=""><input name="option" type="checkbox" value="photo">Multimedia</input></span>
		</li>
	  	 <li>
	  	 	<div class="inLine">Solo los registros basados en 
	 			<select name="record_basis" id="record_basis" >
	 			<option value="any">any</option>
	 			<span py:for="type in recordBasisList" py:strip="">
	 					<option value= "${type[0]}"> ${type[1]} </option> </span>
	 			</select>
	 		</div>
	 </li>
	 </ul>
	 </td>
	 <td>
	 <ul>Clasificar los resultados por: <br/>
	 <li> 
    <select name="grouping">
		  <option py:if="group=='taxonBox'" selected="selected" value="taxonBox">Nombre del Taxón</option>
		  <option py:if="group!='taxonBox'" value="taxonBox">Nombre del Taxón
		  </option>
		  <option py:if="group=='genusBox'" selected="selected" value="genusBox">Género</option>
		  <option py:if="group!='genusBox'" value="genusBox">Género
		  </option>
		  <option py:if="group=='higherBox'" selected="selected" value="higherBox">Taxón superior</option>
		  <option py:if="group!='higherBox'" value="higherBox">Taxón superior
		  </option>
		 <option py:if="group=='commonBox'" selected="selected" value="commonBox">Nombre común</option>
		  <option py:if="group!='commonBox'" value="commonBox">Nombre común
		  </option>
		  <option py:if="group=='familyBox'" selected="selected" value="familyBox">Familia</option>
		  <option py:if="group!='familyBox'" value="familyBox">Familia
		  </option>
		  <option py:if="group=='countryBox'" selected="selected" value="countryBox">País (donde ha sido observado y colectado)</option>
		  <option py:if="group!='countryBox'" value="countryBox">País (donde ha sido observado y colectado)
		  </option>
    <option py:if="group=='collectionBox'" selected="selected" value="collectionBox">Colección</option>
    <option py:if="group!='collectionBox'" value="collectionBox">Colección 
    </option>
    <option py:if="group=='institutionBox'" selected="selected" value="institutionBox">Institución</option>
    <option py:if="group!='institutionBox'" value="institutionBox">Institución 
    </option>
    <option py:if="group=='typeBox'" selected="selected" value="typeBox">Récord base </option>
    <option py:if="group!='typeBox'" value="typeBox">Récord base 
   </option>
		</select>	
	 </li>
	 </ul>
	  </td>
	  </tr>
	 </table>

		
<br/><br/>
<center>
		<div class="multi">
		<input name="Search" type="button" onmouseover="this.style.cursor='pointer';" onclick="javascript:getFieldId('frm').action='${baseurl}search/units/advancedSearch/performAdvancedSearch'; javascript:getFieldId('frm').submit();" value="Búsqueda "  class="button validation"/>
		&nbsp;<img id="straight" src="${baseurl}static/images/straight.png" onclick="javascript:getFieldId('frm').action='${baseurl}search/units/advancedSearch/performAdvancedSearchStraight'; javascript:getFieldId('frm').submit();" alt="straight" onmouseover="this.style.cursor='pointer';" title="quick search"/>
		&nbsp;<input name="clearButton" type="button" value="Restablecer" onclick="clearForm()" class="button validation"/>
</div></center>
    
		</form>
		 <br/><br/>
	  <p>	
  &raquo; Cambiar a <a href="${baseurl}search/units/simpleSearch">Búsqueda simple</a> </p>
	  <br/>
  </div>
</div> <!-- end div content-->
</body>
</html>