# -*#!/usr/bin/env python
# -*- coding: utf-8 -*-
import string,re,sys,os,logging, logging.config,cherrypy
# debugging to file
log = logging.getLogger("div")

class RelationType:
	def __init__(self):
		self.relations={"Synonym(s)":['is synonym of', 'is pro parte synonym of', 'is partial synonym of', 'is heterotypic synonym of', 'is homotypic synonym of', 'is pro parte and homotypic synonym of', 'is pro parte and heterotypic synonym of', 'is partial and homotypic synonym of', 'is partial and heterotypic synonym of'],"Taxonomic hierarchy":['is taxonomically included in', 'includes','is included in'], "Related concepts":[],"Misapplied name(s)":  ['is misapplied name for']}
		
		self.translation={'is synonym of':'has the synonym(s)', 'is pro parte synonym of':'has the pro parte synonym(s)', 'is partial synonym of':'has the partial synonym(s)', 'is heterotypic synonym of':'has the heterotypic synonym(s)', 'is homotypic synonym of':'has the homotypic synonym(s)','is pro parte and homotypic synonym of':'has the pro parte and homotypic synonym(s)', 'is pro parte and heterotypic synonym of':'has the pro parte and heterotypic synonym(s)', 'is partial and homotypic synonym of':'has the partial and homotypic synonym(s)', 'is partial and heterotypic synonym of':'has the partial and heterotypic synonym(s)','is taxonomically included in':'taxonomically includes', 'includes':'is included in','is included in':'includes','is misapplied name for':'has the misapplied name(s)','is congruent to':'is congruent to','? congruent to':'? congruent to'}
		
	def getRelationList(self):
		return self.relations.keys()
	
	def getRelationName(self, relation,box):
		for name in self.relations.keys():
			liste = self.relations.get(name)
			if relation in liste:
				return name
		
		checklistDic=cherrypy.session.get('checklistDic',{})

		if checklistDic.get(box,'noconcept') == 'noconcept':
			return "Accepted name and synonyms"
		return "Related concepts"
		
	def getTranslation(self,relation,inverse):
		if inverse:
			return relation
		else:
			return self.translation.get(relation,'%s(inverse)'%relation)
		
		
