
#!/usr/bin/env python
# -*- coding: utf-8 -*-
import cherrypy
import kid
import logging, logging.config, os, sys

import page


# use logging
log = logging.getLogger("div")

#---------------------------------------------------------
# Class About

#---------------------------------------------------------
class About(page.Page):
  
 
    def __init__(self):
        '''
        init the properties of the query tool's page
        '''
        self.filePath = 'about/'
        self.fileName = '_aboutIndex.kid'
        self.title = "BioCASE"
        self.body = "aboutPage" 


    @cherrypy.expose        
    def index(self):   
        '''
        call the render method from the class Page
        '''
        self.filePath = 'about/'
        self.fileName = '_aboutIndex.kid'
#        self.file = 'about/aboutIndex.kid'
        return self.render(filePath=self.filePath,fileName=self.fileName, title=self.title, body=self.body)

#____________________                       ____
#____________________ About BioCASE and GBIF____
class AboutBG(page.Page):
  
 
    def __init__(self):
        '''
        init the properties of the query tool's page
        '''
        self.filePath = 'about/bioCASE_and_GBIF/'
        self.fileName = '_biocasegbif_index.kid'
        self.title = "BioCASE and GBIF"
        self.body = "aboutPage" 


    @cherrypy.expose        
    def index(self):   
        '''
        call the render method from the class Page
        '''
        self.filePath = 'about/bioCASE_and_GBIF/'
        self.fileName = '_biocasegbif_index.kid'
#        self.file = 'about/bioCASE_and_GBIF/biocasegbif_index.kid'
        return self.render(filePath=self.filePath,fileName=self.fileName, title=self.title, body=self.body)

        
#____________________                          ____
#____________________ About the BioCASE project____
class AboutB(page.Page):
  
 
    def __init__(self):
        '''
        init the properties of the query tool's page
        '''
        self.filePath = 'about/bioCASE/'
        self.fileName='_biocase_index.kid'
        self.title = "BioCASE"
        self.body = "aboutPage" 


    @cherrypy.expose        
    def index(self):   
        '''
        call the render method from the class Page
        '''
        self.filePath = 'about/bioCASE/'
        self.fileName='_biocase_index.kid'
#        self.file = 'about/bioCASE/biocase_index.kid'
        return self.render(filePath=self.filePath,fileName=self.fileName, title=self.title, body=self.body)

#____________________                          ____
#____________________ About the BioCASE project____
class AboutAck(page.Page):
  
 
    def __init__(self):
        '''
        init the properties of the query tool's page
        '''
        self.filePath = 'about/acknowledgment/'
        self.fileName = '_acknow_index.kid'
        self.title = "Acknowledgment"
        self.body = "aboutPage" 


    @cherrypy.expose        
    def index(self):   
        '''
        call the render method from the class Page
        '''
        self.filePath = 'about/acknowledgment/'
        self.fileName = '_acknow_index.kid'
#        self.file = 'about/acknowledgment/acknow_index.kid'
        return self.render(filePath=self.filePath,fileName=self.fileName, title=self.title, body=self.body)
    
#____________________                          ____
#____________________ About the copyrights____
class AboutData(page.Page):
  
 
    def __init__(self):
        '''
        init the properties of the query tool's page
        '''
        self.filePath = 'about/useOfData/'
        self.fileName = '_useOfData.kid'
        self.title = "Use of data"
        self.body = "aboutPage" 


    @cherrypy.expose        
    def index(self):   
        '''
        call the render method from the class Page
        '''
        self.filePath = 'about/useOfData/'
        self.fileName = '_useOfData.kid'
#        self.file = 'about/useOfData/useOfData.kid'
        return self.render(filePath=self.filePath,fileName=self.fileName, title=self.title, body=self.body)
                