<?xml version='1.0' encoding='utf-8'?>
<html  xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
py:extends="'../../is_skeletton.kid'">

<head/>

<body>

<div id="content">
<p class="pageTitle ">Acknowledgement</p>

<strong>The Biological Collection Access Service for Europe</strong>, BioCASE, is a transnational 
network of biological collections of all kinds. BioCASE enables widespread unified 
access to distributed and heterogeneous European collection and observational 
databases using open-source, system-independent software and open data standards 
and protocols.
<br/><br/>
BioCASE technology:
<br/>
BioCASE builds on the predecessor projects 
<a href="http://www.bgbm.org/CDEFD/default.htm">CDEFD</a>, 
 <a href="http://www.bgbm.org/BioCise/">BioCISE</a>, 
  and <a href="http://www.bgbm.org/BioDivInf/projects/ENHSIN/">ENHSIN</a>. 
  These  laid the groundwork for implementing a fully
functional service unlocking the immense biological knowledge base formed by 
biological collections. <br/>
<br/>
During BioCASE` EU-funded project phase (2001-2004), partners from 31 countries 
established the network, starting with <a href="http://www.biocase.org/whats_biocase/meta_net.shtml">meta-information</a>
 on
thousands of biological collections, and followed by a <a href="http://www.biocase.org/whats_biocase/unit_net.shtml">
unit-level access network</a>. "Unit-level" data refer to individual collection 
or observation  units, i. e. individual specimens or observation records. 
In contrast,  "collection-level metadata" consist of records describing entire 
 collections of such  units. This information comes
in formats ranging from XML and text data to high-resolution images and even 
video files. <br/>

<br/>
The continuous development of BioCASE, as well as user and data provider 
support, was or is supported by the European Union projects 
<a href="http://www.enbi.info/">ENBI</a> and <a href="http://www.synthesys.info/">
SYNTHESYS</a>, as well as by other initiatives such as the
 <a href="http://www.bgbm.org/biodivinf/projects/GBIF-Mirror/default.htm">
 GBIF mirror and replication project</a>.

</div>
</body>
</html>