<?xml version='1.0' encoding='utf-8'?>
<html  xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
py:extends="'../../swe_skeletton.kid'">

<head/>

<body>

<div id="content">
<p class="pageTitle ">Tack till</p>

<strong>"The Biological Collection Access Service for Europe"</strong>, BioCASE, 
&auml;r ett multinationellt n&auml;tverk f&ouml;r alla slags biologiska samlingar. Tack vare anv&auml;ndandet av ”open-source”-baserad 
och systemoberoende mjukvara och ”open data”-standarder och –protokoll, m&ouml;jligg&ouml;r BioCASE en vittspridd och 
enhetlig tillg&aring;ng till utspridda och heterogena Europeiska samlings- och observationsdatabaser.
<br/><br/>
BioCASE-teknologi:
<br/>
BioCASE bygger p&aring; f&ouml;reg&aring;ngsprojekten <a href="http://www.bgbm.org/CDEFD/default.htm">CDEFD</a>, 
 <a href="http://www.bgbm.org/BioCise/">BioCISE</a> och 
<a href="http://www.bgbm.org/BioDivInf/projects/ENHSIN/">ENHSIN</a>. 
Dessa lade grunden f&ouml;r implementerandet av en fullst&auml;ndig funktionell tj&auml;nst som ger
 tillg&aring;ng till den enorma biologiska kunskapsbank som de biologiska samlingarna utg&ouml;r. 
<br/>
<br/>
Under BioCASEs EU-finansierade projektfas (2001-2004) etablerade samarbetspartners fr&aring;n 31 nationer n&auml;tverket, 
vilket f&ouml;rst inriktades p&aring; <a href="http://www.biocase.org/whats_biocase/meta_net.shtml">metainformation</a> om tusentals biologiska samlingar. 
Senare utvecklades ett n&auml;tverk f&ouml;r tillg&auml;nglighet p&aring; <a href="http://www.biocase.org/whats_biocase/unit_net.shtml">”objektniv&aring;”</a> (”unit-level access network”). 
Information p&aring; ”objektsniv&aring;” best&aring;r av individuella samlings- eller observationsobjekt, d.v.s. dataposter som utg&ouml;rs av 
enskilda bel&auml;ggexemplar eller observationer.”Metadata p&aring; samlingsniv&aring;”best&aring;r d&auml;remot av dataposter som beskriver hela samlingar 
av s&aring;dana objekt.
Denna information levereras i olika typer av format – allt ifr&aring;n XML- och text-filer till h&ouml;guppl&ouml;sta bilder eller t.o.m. videofiler.

<br/>

<br/>
Den kontinuerliga utvecklingen av BioCASE, inklusive anv&auml;ndar- och dataleverant&ouml;rsupport, var eller &auml;r underst&ouml;dd av s&aring;v&auml;l EU-projekten
<a href="http://www.enbi.info/">ENBI</a> och <a href="http://www.synthesys.info/">
SYNTHESYS</a>, som av andra intiativ som t.ex. GBIFs <a href="http://www.bgbm.org/biodivinf/projects/GBIF-Mirror/default.htm">”spegel- och replikationsprojekt”</a>.

</div>
</body>
</html>