<?xml version='1.0' encoding='utf-8'?>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<head py:match="item.tag == '{http://www.w3.org/1999/xhtml}head'">
<title py:content="title">BioCASE Portal</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Pragma" content="no-cache"/>
<meta http-equiv="Expires" content="-1"/>

<link rel="stylesheet" type="text/css" href="${baseurl}static/css/tao.css" media="screen" />
<link rel="stylesheet" type="text/css" href="${baseurl}static/css/tabs.css" media="screen" />
<link rel="stylesheet" type="text/css" media="print" href="${baseurl}static/css/print.css" />
<link rel="icon" type="image/png" href="${baseurl}static/images/favicon.ico"/>

<script src="${baseurl}static/js/form.js" type="text/javascript" />
<script src="${baseurl}static/js/general.js" type="text/javascript" />
<script src="${baseurl}static/js/yahoo.js" type="text/javascript"></script>

<!--[if gte IE 5]>
<style type="text/css">
#searchresults,#searchresults_Taxon, #searchresults_Genus, #searchresults_Family, #searchresults_Common,#searchresults_Country,#searchresults_HigherTaxon, #searchresults_InstCode, #searchresults_CollCode {
	position:relative;
}
</style>
<! endif -->
<script type="text/javascript">
var i=0;
document.onmousemove=move;
</script>
<?python
	try:
		a=javascript
	except:
		javascript=''
?>
${XML(javascript)}
</head>


<body py:match="item.tag == '{http://www.w3.org/1999/xhtml}body'" id='$body'  onkeyup="surveille(event.keyCode)" onload='$action'>
<!--{{{ Page-->
<?python
	forTaxonomist=False
	import page
	forTaxonomist=page.Page().getCfgObj().admin.forTaxonomist
?>


<div id="page"> 
  <div id="header" title="Biological Collection Access Service For Europe"></div>
  <div id="curseurP" class="infobulle multi"/>
  <div id="curseur" class="infobulle"></div>
  <div id="urlPic" class="infobulle multi"/>
  <div id="trailBar"> 
  <div id="europe" onmouseover="displayEurope('Remiama iš ES finansuojamų projektų BioCISE, EHNSIN, BioCASE, &lt;img src=\'${baseurl}static/images/synthesys.png\'/&gt;')" onmouseout="cache();"></div>
    <?python 
        detailedResult = False
  ?>
  <div id="trail" py:if="trail">
    <ul>
      <li><a href="${baseurl}index" title="pradinis puslapis">Pradžia</a></li>
<?python 
tmp=[]

for title,href in navlist:
	if title is not None:
		tmp.append(title.lower())
if "detailed"  in tmp or 'thesaurus' in title.lower() or "details" in tmp:
	detailedResult	= True
if "preview" in tmp and "metadata" not in title.lower():
	detailedResult=True
?>
      <p py:for="title, href in navlist" py:strip="">
    
   <!--!   <p py:if="'javascript' in href" py:strip=""><li>&#187;<a py:content="title" href="${href}">Start</a></li>
      </p>
      <p py:if="'javascript' not in href" py:strip=""><li>&#187;<a py:content="title"  href="${baseurl}${href}">Start</a></li>
      </p>      
-->
	<p py:if="'javascript' in href" py:strip=""><li>&#187;${title}</li>
      </p>
      <p py:if="'javascript' not in href" py:strip=""><li>&#187;${title}</li>
      </p> 
   	  </p>
    </ul>
	</div>
	
	<div id="optionsTrail">
	<ul>
		<span py:if="forTaxonomist" py:strip="">
		<li><a href="${baseurl}thesaurusConf"  onmouseover="displayPref('Configure the thesaurus (taxonomic checklists) to use')" onmouseout="cacheP();">Thesaurus configuration</a></li>
	</span>
		<li><a href="${baseurl}preferences" onmouseover="displayPref('Change the current language, default search options and results display','pref')" onmouseout="cacheP();">Nuostatos</a></li>
		<li><a onclick="void window.open('${baseurl}help', 'Pagalba', 'resizable=yes, scrollbars=yes, toolbar=no, status=no, width=800, height=600, top=0, left=0');">Pagalba </a></li>
	</ul>
	</div> 
  </div>
  <!--}}}-->
<div>
<span py:if="prevHistory is not None" py:strip="">
<img class="prev" src="${baseurl}static/images/prev.gif" alt="previous" onclick="window.location.href='${prevHistory}'" onmouseover="this.style.cursor='pointer';"/>
</span>
<span py:if="prevHistory is None" py:strip="">
<img class="prev" src="${baseurl}static/images/none.gif" alt="paf"/>
</span>
<span py:if="nextHistory is not None" py:strip="">
<img class="next" src="${baseurl}static/images/next.gif" alt="next" onclick="window.location.href='${nextHistory}'" onmouseover="this.style.cursor='pointer';"/>
</span>
<span py:if="nextHistory is None" py:strip="">
<img class="next" src="${baseurl}static/images/none.gif" alt="next"/>
</span>
</div>
<div class="clearer"/>

<div class="conteneur">
    <div id="menuBar">
	    <ul>
	      <li id="nav-search">
	        <h2 onclick="expandCollapse('ulSearch')"  class="link" id="h2Search">Paieška</h2>
	        <ul id="ulSearch" >
 <li><a href="${baseurl}search/units/simpleSearch/" title="Simple search">Paprasta paieška</a></li>
	          <li><a href="${baseurl}search/units/advancedSearch/" title="Advanced search">Išplėstinė paieška</a></li>
			
	    <!--      <li><a href="http://synthesys.africamuseum.be/" target="_blank">Maršrutai</a></li>-->	          
	        </ul>
	      </li>
	      <span py:if="metadataDB" py:strip="">
	      <li id="nav-registry">
	        <h2 onclick="expandCollapse('ulRegistry')"  class="link"   id="h2Registry">Registras</h2>
	        <ul id="ulRegistry" >
	          <li><a href="${baseurl}registry/hosts" title="duomenų teikėjai">Centriniai kompiuteriai</a></li>
	          <li><a href="${baseurl}registry/institutions">įestaiga</a></li>
	          <li><a href="${baseurl}registry/datasources">Duomena</a></li>
	          <li><a href="${baseurl}registry/collections">Kolekcija</a></li>
	        </ul>
	      </li>

	      </span>

	      <li id="nav-about">
	        <h2 onclick="expandCollapse('ulAbout')"  class="link"   id="h2About">Apie</h2>
	        <ul id="ulAbout" >
	          <li><a href="${baseurl}about/acknowledgement" title="padėka">Padėka</a></li>
	          <li><a href="${baseurl}about/bioCASE" title="BioCASE projektas">BioCASE projektas</a></li>
	          <li><a href="${baseurl}about/bioCASE_and_GBIF" title="BioCASE ir GBIF">BioCASE ir GBIF</a></li>
	          <li><a href="http://www.biocase.org" title="BioCASE tinklalapis">BioCASE</a></li>
	          <li><a href="http://www.synthesys.info" title="Synthesys">Synthesys</a></li>
	          <li><a href="${baseurl}about/useOfData" title="Duomenų naudojimas">Duomenų naudojimas</a></li>
	        </ul>
	      </li>
<li id="nav-contrib">
	        <a href="${baseurl}contributors" class="h2 "   id="h2Contrib">Contributors</a>
	      </li>
	    </ul>
	    	  <br/><br/> 
	  	 	  <span py:if="body == 'index' and specimenName is not None" py:strip="">
	  <div id="sotd_box">Dienos objektas<a href="${baseurl}search/units/details/getDetails/${unitID}/${collectionID}/${institutionID}/${resourceKey}" ><img src="${baseurl}static/images/sotd/${specimenofthedaypic}" alt="specimen of the day"/></a></div>
	  </span>
	  <span py:if="detailedResult" py:strip="">
	  <div id="left_box" py:replace="shopping()" />
	  </span>
	</div>

 	 <div id="divJavascriptSupport" class="ExceptionMessage">Your browser does not support Javascript or Javascript is disabled. 
	You must have Javascript enabled to access and use this portal.</div>
 	 <div id="content" py:replace="item[:]">
	 	... content will be inserted here ...
	 </div>

  <div class="clearer">&nbsp;</div>
  
  </div>
   <!--}}} Conteneur-->

<div>
<span py:if="prevHistory is not None" py:strip="">
<img class="prev" src="${baseurl}static/images/prev.gif" alt="previous" onclick="window.location.href='${prevHistory}'" onmouseover="this.style.cursor='pointer';"/>
</span>
<span py:if="nextHistory is not None" py:strip="">
<img class="next" src="${baseurl}static/images/next.gif" alt="next" onclick="window.location.href='${nextHistory}'" onmouseover="this.style.cursor='pointer';"/>
</span>
</div>
<div class="clearer"/>
 <br/>
  <div id="footer" class="multi">
<img id="footerIMG" src="${baseurl}static/images/Logo_PT-DLR2.jpg" alt="contributors"/> 
<img id="footerIMG" src="${baseurl}static/images/Logo_BMBF-gefoerdert3.jpg" alt="contributors"/>  
<span class="small">
  
    BioCASE Web-Administrator. Email:<a href="mailto:admin@biocase.org">admin@biocase.org</a> 
    , <a href="http://www.bgbm.org/disclaim_e.htm">Disclaimer</a> / <a href="http://www.bgbm.org/disclaim_d.htm">Haftungsausschluss</a> 
    
    &copy; BioCASE 2006-.<br/> Email: <a href="mailto:secretariat@biocase.org">secretariat@biocase.org</a>,FAX: 
    +49 (30) 841729-55, <a href="http://www.biocase.org/imprint.shtml">Imprint</a> 
    <br/>
    Address: Botanischer Garten und Botanisches Museum Berlin-Dahlem (BGBM),<br/> Freie 
    Universität Berlin, Königin-Luise-Str. 6-8, D-14195 Berlin, Germany
    </span>
  </div>
  <!--}}} Footer-->
  
</div>
<!--}}} Page-->
<!-- !
  <p>
    <a href="http://validator.w3.org/check?uri=referer"><img
        src="http://www.w3.org/Icons/valid-html401"
        alt="Valid HTML 4.01 Transitional" height="31" width="88"/></a>
  </p>
-->

<script  type="text/javascript" >getFieldId("divJavascriptSupport").style.display = "none";</script>
<!-- Piwik -->

<script language="javascript" src='http://search.biocase.org/piwi/piwik.js' type="text/javascript"></script>
<script type="text/javascript">
<!--
piwik_action_name = '';
piwik_idsite = 1;
piwik_url = 'http://search.biocase.org/piwik/';
piwik_log(piwik_action_name, piwik_idsite, piwik_url);
//-->
</script><object>
<noscript>
</noscript></object>
<!-- /Piwik -->
</body>
  
</html>
