<?xml version='1.0' encoding='utf-8'?>
<html  xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
py:extends="'../../de_skeletton.kid'">

<head/>
<body>

<div id="content">
 <span class="pageTitle ">Anmerkungen </span><br/>
	<div class="data_grid no_scroll">
	<span py:if="annotationTable == [] or type(annotationTable)!=type([]) or len(annotationTable)==0" py:strip=""> Keine Anmerkung </span><br/>
	<span py:if="annotationTable != []" py:strip="">
		 <table>
			<th> Datum </th>
			<th> Titel </th>		
			<th> Autor </th>		
			<th> <img src="${baseurl}static/images/see.gif" alt="see"/> </th>
                
			<tr py:for="annotation in annotationTable">
				<td>${annotation[0]}</td>		
				<td>${annotation[1]}</td>	
				<td>${annotation[5]}</td>
				<td><a href="see?url=${annotation[4]}&amp;schema=${annotation[3]}&amp;version=$version"> Anzeigen</a></td>		
			</tr>
		</table>
	</span><br/>
</div>
<br/>

<span py:if="stylesheet is not None and diff is None and original is None " py:strip="">
<hr/>
<span><b>Anmerkung von</b> ${currentDate}. 
<br/><a href='dl?url="${currentURL}"' class="piwik_download">&raquo; Download der Rohdaten (XML) <img src="${baseurl}static/images/download.gif" alt="dl"/></a>
<br/><a href='compare?url="${currentURL}"&amp;schema="${currentSchema}"'>&raquo; Vergleiche mit den Originaldaten vom Provider <img src="${baseurl}static/images/diff.gif" alt="diff"/></a>
<br/><b>Kommentare:</b> ${currentComment}
<br/><b>Autor:</b>$currentAuthor</span>
<hr/>
<br/>
<div py:replace="XML(stylesheet)" />
</span>

<span py:if="diff is not None and stylesheet is None and original is None" py:strip="">
<hr/>
<span><b>Vergleich von Versionen</b> ${currentDate} und original. 
<br/><a href="see?url=${currentURL}&amp;schema=${currentSchema}&amp;version=$version">&raquo; Anzeige der aktuellen Version<img src="${baseurl}static/images/see.gif" alt="see"/></a>
<br/><a href='seeOriginal?url="${currentURL}"&amp;schema="${currentSchema}"'>&raquo; Anzeige der Originalversion vom Provider<img src="${baseurl}static/images/see.gif" alt="see"/></a>
</span>
<div py:replace="XML(diff)" />
</span>

<span py:if="original is not None and stylesheet is None and diff is None " py:strip="">
<hr/>
<span><b>Originalversion vom Provider</b>. 
<br/><a href='dl?url="${originalURL}"' class="piwik_download">&raquo; Download der Rohdaten (XML) <img src="${baseurl}static/images/download.gif" alt="dl"/></a>
</span>
<div py:replace="XML(original)" />
</span>


</div><!-- !{{{ end content-->
</body>
</html>
