<?xml version='1.0' encoding='utf-8'?>
<html  xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
py:extends="'../../lt_skeletton.kid'">

<head/>
<body>

<div id="content">
 <span class="pageTitle ">Anotacijos </span><br/>
	<div class="data_grid no_scroll">
	<span py:if="annotationTable == [] or type(annotationTable)!=type([]) or len(annotationTable)==0" py:strip=""> Anotacijų nėra </span><br/>
	<span py:if="annotationTable != []" py:strip="">
		 <table>
			<th> Data </th>
			<th> Pavadinimas </th>	
			<th> Autorius </th>			
			<th> <img src="${baseurl}static/images/see.gif" alt="see"/> </th>
                
			<tr py:for="annotation in annotationTable">
				<td>${annotation[0]}</td>		
				<td>${annotation[1]}</td>	
				<td>${annotation[5]}</td>
				<td><a href="see?url=${annotation[4]}&amp;schema=${annotation[3]}&amp;version=$version"> Žiūrėti</a></td>		
			</tr>
		</table>
	</span><br/>
</div>
<br/>

<span py:if="stylesheet is not None and diff is None and original is None " py:strip="">
<hr/>
<span><b>Anotacija iš</b> ${currentDate}. 
<br/><a href='dl?url="${currentURL}"' class="piwik_download">&raquo; Parsisiųsti neapdorotą XML <img src="${baseurl}static/images/download.gif" alt="dl"/></a>
<br/><a href='compare?url="${currentURL}"&amp;schema="${currentSchema}"'>&raquo; Palyginti su originalia duomenų teikėjo versija <img src="${baseurl}static/images/diff.gif" alt="diff"/></a>
<br/><b>Pastabos:</b> ${currentComment}
<br/><b>Autorius:</b>$currentAuthor</span>
<hr/>
<br/>
<div py:replace="XML(stylesheet)" />
</span>

<span py:if="diff is not None and stylesheet is None and original is None" py:strip="">
<hr/>
<span><b>Versijų palyginimas</b> ${currentDate} ir originalo. 
<br/><a href="see?url=${currentURL}&amp;schema=${currentSchema}&amp;version=$version">&raquo; Žiūrėti naujausią versiją<img src="${baseurl}static/images/see.gif" alt="see"/></a>
<br/><a href='seeOriginal?url="${currentURL}"&amp;schema="${currentSchema}"'>&raquo; Žiūrėti originalią duomenų teikėjo versiją<img src="${baseurl}static/images/see.gif" alt="see"/></a>
</span>
<div py:replace="XML(diff)" />
</span>

<span py:if="original is not None and stylesheet is None and diff is None " py:strip="">
<hr/>
<span><b>Originali duomenų teikėjo versija</b>. 
<br/><a href='dl?url="${originalURL}"' class="piwik_download">&raquo; Parsisiųsti neapdorotą XML <img src="${baseurl}static/images/download.gif" alt="dl"/></a>
</span>
<div py:replace="XML(original)" />
</span>


</div><!-- !{{{ end content-->
</body>
</html>
