<?xml version='1.0' encoding='utf-8'?>
<html  xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
py:extends="'../../is_skeletton.kid'">

<head/>
<?python 
taxon=''
higher = ''
family=''
collection=''
institution=''
country=''
dateInf=''
dateEq=''
dateSup=''
locality=''
common=''
genus=''
collector=''
record=''
multi=''
key=''
collNumber=''
fieldNumber=''
unitID=''
if advancedFields != [] and len(advancedFields)>17:
	taxon = advancedFields[0]
	higher = advancedFields[1]
	family = advancedFields[2]
	collection = advancedFields[3]
	institution = advancedFields[4]
	country = advancedFields[5]
	dateInf = advancedFields[6]		
	dateSup = advancedFields[7]
	locality = advancedFields[8]
	common = advancedFields[9]
	genus = advancedFields[10]
	collector = advancedFields[11]
	record = advancedFields[12]
	multi = advancedFields[13]
	key = advancedFields[14]
	collNumber = advancedFields[15]
	fieldNumber = advancedFields[16]
	unitID = advancedFields[17]
?>
<body>

<?python
	forTaxonomist=False
	import page
	forTaxonomist=page.Page().getCfgObj().admin.forTaxonomist
?> 

<div id="fullTextHelp" class="infobulle ft">
<span>Full text search examples for Collector and Locality</span>:<br/>
<span class="example">Görlitzer Park Berlin Kreuzberg</span>: search for Görlitzer AND Park AND Berlin AND Kreuzberg<br/>
<span class="example">Sachsen -Anhalt</span>: search for Sachsen AND NOT Anhalt (i.e. excluding Sachsen-Anhalt)<br/>
<span class="example">Thuring*</span>: search for names beginning with Thuring, such as Thuringia OR Thüringen<br/>
<span class="example">"Berlin-Brandenburg"</span>: exact search<br/>
<span class="example">Humboldt Bonpland Kunth</span>: search for Humboldt AND Bonpland AND Kunth<br/>
<span class="example">Koch -Wilhelm</span>: earch for Koch and AND NOT Wilhelm (i.e. excluding Wilhelm Koch)<br/>
<span class="example">Takh*</span>: search for names beginning with Thakh, such as Takhtadjan OR Takhtadzhian <br/>
<span class="example">"Müller-Doblies"</span>: exact search<br/>


</div>
<div id="content">
<span class="pageTitle">Leit að viðfangsefni (eintak og athugun)</span><br/><br/>

 <span class="title">Nákvæm leit</span><br/>
 <span>Að minnsta kosti 3 bókstafir eða tölur Notaðu stjörnuna (*) sem algilt tákn. Dæmi: <span class="blue" onclick="hideShowExample('example')" onmouseover="this.style.cursor='pointer';">[...]</span> <br/></span>
  <div id="example">
 
	  <span class="example">Pri*</span> leit að öllum heitum sem byrja á Pri.
	  <br/><span class="example">Primula veris *</span> leia að öllum undirtegundum af Perimula veris.
		<br/><span class="example">Primula veris</span> searches for all names exactly matching with 'Primula veris'
	 <br/><span class="example">* veris </span> leit að öllum heitum sem enda á veris.
	  <br/><span class="example">*Pri* </span> leit að öllum heitum sem innihalda Pri.
  <p>Use ' OR 'to separate names within a search field.<br/>
  <span class="example">France OR Germany</span> leit að upplýsingum frá upplýsingahöldurum í Frakklandi eða Þýskalandi.
  </p>
  <p> Leitarreitirnir eru tengdir með "OG".</p>
  </div>
<div class="error">
<span py:replace="XML(message)"/>
</div>

<div id="scrollC">
<div id="loadingAdvanced"><center>Your query might take a long time .. please wait<br/> 
<img src="${baseurl}static/images/progressbar.gif" alt="load" id="loadingGifAdvanced"/>
<br/><span class="multi img"><a class="cancel" onclick="displayLoadingGifAdvanced()" href="${baseurl}search/units/advancedSearch/cancelSearch"><img src="${baseurl}static/images/cancel.jpg"/>Cancel the current search</a></span></center></div>

  <form id="frm" action="${baseurl}search/units/advancedSearch/performAdvancedSearch" method="post">
  
  <div id="advanced" class="hidden"/><div id="id_tofill" class="hidden"/>
 <table id="formTable" class="table_carret" >  
  <tr id="start"> 
  <td class="tdLeft"><input class="taxonName ro" tabindex="-1" id="fieldTaxon" value="Heiti flokkunareiningar" readonly="readonly" type="text"/></td>
  <td class="tdRight"><input name="taxonName" id="valueTaxon" type="text" class="taxonName ed" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)" value="$taxon"/><div id='searcults_Taxon' class='ed' ></div>
</td>
<?python
	  if forTaxonomist and not thesaurusActivated:
	  	css="thesauImgOff"
	  	activ="activate"
	  else:
	  	css="thesauImgOn"
	  	activ="deactivate"
	?>
     <span py:if="forTaxonomist" py:strip="">
     <td><input class="$css" id="thesauImg" title="Click to $activ the expanded search"  readonly="readonly"  onmouseover="this.style.cursor='pointer'" alt="option"  onclick="enableExpendedSearch()"/>
     <input type="hidden" value="$thesaurusActivated" id="thesaurusActivated" name="thesaurusActivated"/></td>
     </span>   
 
   </tr> 

 <tr>  
  <td><input class="country ro" tabindex="-1" id="fieldCountry" value="Land" readonly="readonly" type="text"/></td>
  <td>
<input name="country" id="valueCountry" type="text" class="country ed" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)" value="$country"/> <div id='searcults_Country' class='ed' ></div>
</td>
 
   </tr> 

     <tr>
  <td><input class="collection ro" tabindex="-1" id="fieldCollCode" value="Auðkenni safns" readonly="readonly" type="text"/></td>
  <td colSpan="2"><input class="collection ed" name="collectionId" id="valueCollCode" value="${collection}" type="text" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)"/>   <div id='searchresults_CollCode' class='ed' ></div></td>
 
   </tr> 
   <tr>
  
  <td><input class="institution ro" tabindex="-1" id="fieldInstCode" value="Auðkenni stofnunar" readonly="readonly" type="text"/></td>
  <td><input class="institution ed" name="institutionId" id="valueInstCode" value="${institution}" type="text" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)"/><div id='searchresults_InstCode' class='ed' ></div></td>
 
   </tr>  
    <tr>
  
  <td><input class="unitid ro" tabindex="-1" id="fieldUnitID" value="Unit-ID" readonly="readonly" type="text"/></td>
  <td><input class="unitid ed" name="unitID" id="valueUnitID" value="${unitID}" type="text"/></td>
  
   </tr> 
   <tr>

  <td><input class="genus ro" tabindex="-1" id="fieldGenus" value="Ættkvísl" readonly="readonly" type="text"/></td>
  <td><input name="genus" id="valueGenus" type="text" class="genus ed" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)" value="$genus"/>   <div id='searchresults_Genus' class='ed' ></div>
</td>
 
   </tr> 
   <tr>

  <td><input class="family ro" tabindex="-1" id="fieldFamily" value="Ætt" readonly="readonly" type="text"/></td>
  <td>
<input name="family" id="valueFamily" type="text" class="family ed" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)" value="$family"/>   <div id='searchresults_Family' class='ed' ></div>
</td>
 
   </tr> 
   <tr>
  
  <td><input class="higher ro" tabindex="-1" id="fieldHigherTaxon" value="Æðri flokkur" readonly="readonly" type="text"/></td>
  <td><input name="higherTaxon" id="valueHigherTaxon" type="text" class="higher ed" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)" value="$higher"/>   <div id='searchresults_HigherTaxon' class='ed' ></div>
</td>
  
   </tr> 
   <tr>
  
  <td><input class="common ro" tabindex="-1" id="fieldCommon" value="Almennt heiti" readonly="readonly" type="text"/></td>
  <td><input name="commonName" id="valueCommon" type="text" class="common ed" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)" value="$common"/>   <div id='searchresults_Common' class='ed' ></div>
</td>
  
   </tr> 
  
   <tr>
  
  <td><input class="locality ro ft" tabindex="-1" id="fieldLocality" value="Staðsetning" readonly="readonly" type="text" onmouseover="this.style.cursor='pointer'; displayFullTextHelp();" onmouseout="cache2();"/></td>
  <td><input class="locality ed" name="locality" id="valueLocality" value="${locality}" type="text"/></td>
  
   </tr> 
   <tr>
  
  <td><input class="collector ro ft" tabindex="-1" id="fieldCollector" value="Safnari" readonly="readonly" type="text" onmouseover="this.style.cursor='pointer'; displayFullTextHelp();" onmouseout="cache2();"/></td>
  <td><input class="collector ed" name="collector" id="valueCollector" value="${collector}" type="text"/></td>
  
   </tr> 
   <tr>
  
<td><input class="date ro" tabindex="-1" id="fielddate" value="Dagsetning söfnunar" readonly="readonly" type="text" /></td>
  <td class="ieColspan">between <input class="dateInf" name="dateInf" id="valuedateInf" value="${dateInf}" type="text"/> and <input class="dateInf" name="dateSup" id="valuedateSup" value="${dateSup}" type="text"/></td>

   </tr> 
      <tr>
  
  <td><input class="collNumber ro" tabindex="-1" id="fieldcollNumber" value="Collector's number" readonly="readonly" type="text"/></td>
  <td><input class="collNumber ed" name="collNumber" id="valueCollNumber" value="${collNumber}" type="text"/></td>
  
   </tr> 
   <tr>
  
  <td><input class="fieldNumber ro" tabindex="-1" id="fieldfieldNumber" value="Field number" readonly="readonly" type="text"/></td>
  <td><input class="fieldNumber ed" name="fieldNumber" id="valueFieldNumber" value="${fieldNumber}" type="text"/></td>
  
   </tr> 
</table>
<br/><div class="ieColspan">If you would like to add a second value to a field that you have already populated with the suggestion tool, select a field from the "Choose Field" list, enter your value, and click "Add".
</div><br/>
  <table class="table_noline ieColspanL">
  <tr>
  <td>
    <select name="field" id="fieldList" onChange="showHideListButton(this);">
		  <option value="${collection}" >Choose field</option>
		  <option value="InstCode">Auðkenni stofnunar</option>
		  <option value="CollCode">Auðkenni safns</option>
<option value="UnitID">Unit-ID</option>
<!-- 		  <option value="unitKey">Unit-Key</option> -->
		  <option value="Taxon">Heiti flokkunareiningar</option>
		  <option value="Genus">Ættkvísl</option>
		  <option value="Family">Ætt</option>
		  <option value="HigherTaxon" >Æðri flokkur</option>
		  <option value="Common" >Almennt heiti</option>
		  <option value="Country" >Land (Söfnunar eða athugunar)</option>
		<!--  <option value="Locality" >Staðsetning</option>
		  <option value="Collector" >Safnari</option>-->
		<!--  <option value="DateInf" >Dagsetning söfnunar &lt;</option>
		  <option value="DateEq">Dagsetning söfnunar =</option>
		  <option value="DateSup">Dagsetning söfnunar &gt;</option>-->
		   <option value="CollNumber" >Collector's number</option>
		  <option value="FieldNumber" >Field number</option>

    </select>
   <!--	<input type="button" class="buttonImg"  disabled="disabled" id="dateHelpInfo" onmouseout="cache2();" onmouseover="displayDateHelp('Notaðu eftirfarandi dagsetningarmáta ÁÁÁÁ-MM-DD Athugasemd: flestar söfnunardagsetningar innihalda aðeins ártal (ÁÁÁÁ)');" alt="date format info" />-->
   </td>
   <td >    
   <input type="text"  value="" id="textarea" class="textArea edL" autocomplete="off" onkeyup="fillSuggest(this, event)" onkeydown="checkArrowKeys(this, event)"/>
     <div id='searchresults' class='edL' ></div>
    </td>
   <td >
    <input type="button" class="button" id="addButton" value="Bæta við" onclick="addField('frm');" />
		<!--<img  src="${baseurl}static/images/list.gif" class="buttonImg" disabled="disabled"  id="dragDropList" onclick="displayList()" onmouseover="this.style.cursor='pointer';" alt="List&nbsp;"/> -->  
		  	&nbsp;<input id="sugImg" readonly="readonly" onmouseover="this.style.cursor='pointer';" onclick="enableSuggestion()" title="Tillaga:ON" type="text"/>
		  	   </td>
   </tr>

</table>  

  
	<table class="table_carret">
	<tr>
	<td>
   <ul>Valmöguleikar: <br/>
   	<li>
    <span py:if="multi == True" py:strip=""><input name="option" type="checkbox" checked="checked" value="photo">Margmiðlun</input></span>
    <span py:if="multi == False or multi is None or multi==''" py:strip=""><input name="option" type="checkbox" value="photo">Margmiðlun</input></span>
		</li>
	  	 <li>
	  	 	<div class="inLine">Einungis skrár sem byggja á 
	 			<select name="record_basis" id="record_basis" >
	 			<option value="any">any</option>
	 			<span py:for="type in recordBasisList" py:strip="">
	 					<option value= "${type[0]}"> ${type[1]} </option> </span>
	 			</select>
	 		</div>
	 </li>
	 </ul>
	 </td>
	 <td>
	 <ul>Raða saman niðurstöðum eftir: <br/>
	 <li> 
    <select name="grouping">
		  <option py:if="group=='taxonBox'" selected="selected" value="taxonBox">Heiti flokkunareiningar</option>
		  <option py:if="group!='taxonBox'" value="taxonBox">Heiti flokkunareiningar
		  </option>
		  <option py:if="group=='genusBox'" selected="selected" value="genusBox">Ættkvísl</option>
		  <option py:if="group!='genusBox'" value="genusBox">Ættkvísl
		  </option>
		  <option py:if="group=='higherBox'" selected="selected" value="higherBox">Æðri flokkur</option>
		  <option py:if="group!='higherBox'" value="higherBox">Æðri flokkur
		  </option>
		 <option py:if="group=='commonBox'" selected="selected" value="commonBox">Almennt heiti</option>
		  <option py:if="group!='commonBox'" value="commonBox">Almennt heiti
		  </option>
		  <option py:if="group=='familyBox'" selected="selected" value="familyBox">Ætt</option>
		  <option py:if="group!='familyBox'" value="familyBox">Ætt
		  </option>
		  <option py:if="group=='countryBox'" selected="selected" value="countryBox">Land (Söfnunar eða athugunar)</option>
		  <option py:if="group!='countryBox'" value="countryBox">Land (Söfnunar eða athugunar)
		  </option>
    <option py:if="group=='collectionBox'" selected="selected" value="collectionBox">Safn</option>
    <option py:if="group!='collectionBox'" value="collectionBox">Safn 
    </option>
    <option py:if="group=='institutionBox'" selected="selected" value="institutionBox">Stofnun</option>
    <option py:if="group!='institutionBox'" value="institutionBox">Stofnun 
    </option>
    <option py:if="group=='typeBox'" selected="selected" value="typeBox">Skrárgrunnur  </option>
    <option py:if="group!='typeBox'" value="typeBox">Skrárgrunnur  
   </option>
		</select>	
	 </li>
	 </ul>
	  </td>
	  </tr>
	 </table>

		
<br/><br/>
<center>
		<div class="multi">
		<input name="Search" type="button" onmouseover="this.style.cursor='pointer';" onclick="javascript:getFieldId('frm').action='${baseurl}search/units/advancedSearch/performAdvancedSearch'; javascript:getFieldId('frm').submit();" value="Leit "  class="button validation"/>
		&nbsp;<img id="straight" src="${baseurl}static/images/straight.png" onclick="javascript:getFieldId('frm').action='${baseurl}search/units/advancedSearch/performAdvancedSearchStraight'; javascript:getFieldId('frm').submit();" alt="straight" onmouseover="this.style.cursor='pointer';" title="quick search"/>
		&nbsp;<input name="clearButton" type="button" value="Reset" onclick="clearForm()" class="button validation"/>
</div></center>
    
		</form>
		 <br/><br/>
	  <p>	
  &raquo; Breyta í <a href="${baseurl}search/units/simpleSearch">Einföld leit </a> </p>
	  <br/>
  </div>
</div> <!-- end div content-->
</body>
</html>